org.keycloak.models.jpa.entities

## Class UserEntity

- java.lang.Object
- - org.keycloak.models.jpa.entities.UserEntity

-     @Entity
      public class UserEntity
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,String>` | `attributes`
    `protected AuthenticationLinkEntity` | `authenticationLink`
    `protected Collection<CredentialEntity>` | `credentials`
    `protected String` | `email`
    `protected boolean` | `emailVerified`
    `protected boolean` | `enabled`
    `protected String` | `firstName`
    `protected String` | `id`
    `protected String` | `lastName`
    `protected String` | `loginName`
    `protected int` | `notBefore`
    `protected RealmEntity` | `realm`
    `protected Set<UserModel.RequiredAction>` | `requiredActions`
    `protected boolean` | `totp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserEntity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getAttributes()`
    `AuthenticationLinkEntity` | `getAuthenticationLink()`
    `Collection<CredentialEntity>` | `getCredentials()`
    `String` | `getEmail()`
    `String` | `getFirstName()`
    `String` | `getId()`
    `String` | `getLastName()`
    `String` | `getLoginName()`
    `int` | `getNotBefore()`
    `RealmEntity` | `getRealm()`
    `Set<UserModel.RequiredAction>` | `getRequiredActions()`
    `boolean` | `isEmailVerified()`
    `boolean` | `isEnabled()`
    `boolean` | `isTotp()`
    `void` | `setAttributes(Map<String,String> attributes)`
    `void` | `setAuthenticationLink(AuthenticationLinkEntity authenticationLink)`
    `void` | `setCredentials(Collection<CredentialEntity> credentials)`
    `void` | `setEmail(String email)`
    `void` | `setEmailVerified(boolean emailVerified)`
    `void` | `setEnabled(boolean enabled)`
    `void` | `setFirstName(String firstName)`
    `void` | `setId(String id)`
    `void` | `setLastName(String lastName)`
    `void` | `setLoginName(String loginName)`
    `void` | `setNotBefore(int notBefore)`
    `void` | `setRealm(RealmEntity realm)`
    `void` | `setRequiredActions(Set<UserModel.RequiredAction> requiredActions)`
    `void` | `setTotp(boolean totp)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### loginName

          protected String loginName

    - #### firstName

          protected String firstName

    - #### lastName

          protected String lastName

    - #### email

          protected String email

    - #### enabled

          protected boolean enabled

    - #### totp

          protected boolean totp

    - #### emailVerified

          protected boolean emailVerified

    - #### notBefore

          protected int notBefore

    - #### realm

          protected RealmEntity realm

    - #### attributes

          protected Map<String,String> attributes

    - #### requiredActions

          protected Set<UserModel.RequiredAction> requiredActions

    - #### credentials

          protected Collection<CredentialEntity> credentials

    - #### authenticationLink

          protected AuthenticationLinkEntity authenticationLink

  - ### Constructor Detail

    - #### UserEntity

          public UserEntity()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getLoginName

          public String getLoginName()

    - #### setLoginName

          public void setLoginName(String loginName)

    - #### getFirstName

          public String getFirstName()

    - #### setFirstName

          public void setFirstName(String firstName)

    - #### getLastName

          public String getLastName()

    - #### setLastName

          public void setLastName(String lastName)

    - #### getEmail

          public String getEmail()

    - #### setEmail

          public void setEmail(String email)

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public void setEnabled(boolean enabled)

    - #### isTotp

          public boolean isTotp()

    - #### setTotp

          public void setTotp(boolean totp)

    - #### isEmailVerified

          public boolean isEmailVerified()

    - #### setEmailVerified

          public void setEmailVerified(boolean emailVerified)

    - #### getAttributes

          public Map<String,String> getAttributes()

    - #### setAttributes

          public void setAttributes(Map<String,String> attributes)

    - #### getRequiredActions

          public Set<UserModel.RequiredAction> getRequiredActions()

    - #### setRequiredActions

          public void setRequiredActions(Set<UserModel.RequiredAction> requiredActions)

    - #### getRealm

          public RealmEntity getRealm()

    - #### setRealm

          public void setRealm(RealmEntity realm)

    - #### getCredentials

          public Collection<CredentialEntity> getCredentials()

    - #### setCredentials

          public void setCredentials(Collection<CredentialEntity> credentials)

    - #### getAuthenticationLink

          public AuthenticationLinkEntity getAuthenticationLink()

    - #### setAuthenticationLink

          public void setAuthenticationLink(AuthenticationLinkEntity authenticationLink)

    - #### getNotBefore

          public int getNotBefore()

    - #### setNotBefore

          public void setNotBefore(int notBefore)

Copyright © 2014. All Rights Reserved.